Send landlord approval
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/landlord-approval/send \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/landlord-approval/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/landlord-approval/send"
payload = { "requestId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"landlord": {
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
},
"needsApproval": true,
"sendBlocked": "<string>",
"current": {
"id": "<string>",
"quoteId": "<string>",
"amountMinor": 123,
"currency": "<string>",
"email": "<string>",
"state": "sent",
"sentAt": "<string>",
"sentCount": 123,
"expiresAt": "<string>",
"openedAt": "<string>",
"lastOpenedAt": "<string>",
"revokedAt": "<string>",
"decision": "approved",
"decisionNote": "<string>",
"decidedAt": "<string>",
"answers": [
{
"kind": "approved",
"note": "<string>",
"at": "<string>"
}
]
},
"history": [
{
"id": "<string>",
"quoteId": "<string>",
"amountMinor": 123,
"currency": "<string>",
"email": "<string>",
"state": "sent",
"sentAt": "<string>",
"sentCount": 123,
"expiresAt": "<string>",
"openedAt": "<string>",
"lastOpenedAt": "<string>",
"revokedAt": "<string>",
"decision": "approved",
"decisionNote": "<string>",
"decidedAt": "<string>",
"answers": [
{
"kind": "approved",
"note": "<string>",
"at": "<string>"
}
]
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}maintenance-pro
Send landlord approval
Email the landlord a signed link to approve the selected quote (sends again with a new link)
POST
/
maintenance-pro
/
repairs
/
{id}
/
landlord-approval
/
send
Send landlord approval
curl --request POST \
--url https://api.sortx.co.uk/maintenance-pro/repairs/{id}/landlord-approval/send \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"requestId": "<string>"
}
'const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({requestId: '<string>'})
};
fetch('https://api.sortx.co.uk/maintenance-pro/repairs/{id}/landlord-approval/send', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.sortx.co.uk/maintenance-pro/repairs/{id}/landlord-approval/send"
payload = { "requestId": "<string>" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"landlord": {
"contactId": "<string>",
"name": "<string>",
"email": "<string>"
},
"needsApproval": true,
"sendBlocked": "<string>",
"current": {
"id": "<string>",
"quoteId": "<string>",
"amountMinor": 123,
"currency": "<string>",
"email": "<string>",
"state": "sent",
"sentAt": "<string>",
"sentCount": 123,
"expiresAt": "<string>",
"openedAt": "<string>",
"lastOpenedAt": "<string>",
"revokedAt": "<string>",
"decision": "approved",
"decisionNote": "<string>",
"decidedAt": "<string>",
"answers": [
{
"kind": "approved",
"note": "<string>",
"at": "<string>"
}
]
},
"history": [
{
"id": "<string>",
"quoteId": "<string>",
"amountMinor": 123,
"currency": "<string>",
"email": "<string>",
"state": "sent",
"sentAt": "<string>",
"sentCount": 123,
"expiresAt": "<string>",
"openedAt": "<string>",
"lastOpenedAt": "<string>",
"revokedAt": "<string>",
"decision": "approved",
"decisionNote": "<string>",
"decidedAt": "<string>",
"answers": [
{
"kind": "approved",
"note": "<string>",
"at": "<string>"
}
]
}
]
}{
"_tag": "TenantCreateRejected",
"reason": "<string>",
"field": "<string>"
}{
"_tag": "Unauthenticated"
}{
"_tag": "TenantSuspended",
"tenantId": "<string>",
"reason": "<string>"
}{
"_tag": "EntitlementMissing",
"tenantId": "<string>",
"moduleId": "<string>"
}{
"_tag": "TenantNotFound",
"slug": "<string>"
}{
"_tag": "WebhookDuplicate",
"integration": "<string>",
"externalId": "<string>"
}{
"_tag": "RateLimited",
"key": "<string>",
"retryAfterSeconds": 123,
"message": "<string>"
}{
"_tag": "IntegrationUnavailable",
"integration": "<string>",
"detail": "<string>"
}Authorizations
A workspace API key (Settings → API keys), scoped to <group>:read / <group>:write.
Path Parameters
Body
application/json
Minimum string length:
1